Bug 127903 - kernel BUG at mm/rmap.c:406!
kernel BUG at mm/rmap.c:406!
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 01:16 EDT by Oliver Paukstadt
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 03:21:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Paukstadt 2004-07-15 01:16:34 EDT
Third time I have such a BUG with up2date FC2 kernel.

------------[ cut here ]------------
kernel BUG at mm/rmap.c:406!
invalid operand: 0000 [#2]
Modules linked in: tun parport_pc lp parport ppp_synctty ppp_async
ppp_generic slhc 3c59x smc_ultra 8390 ipv6 ipt_LOG ipt_multiport
ipt_state iptable_filter ipt_MASQUERADE iptable_nat ip_conntrack_ftp
ip_conntrack ip_tables sg sr_mod dm_mod ext3 jbd aic7xxx sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c013b819>]    Not tainted
EFLAGS: 00010246   (2.6.6-1.435.2.3) 
EIP is at page_remove_rmap+0x18/0x56
eax: 00000000   ebx: c10849e0   ecx: c118fa00   edx: c10849e0
esi: 00000000   edi: 00040000   ebp: 00000000   esp: cadefc08
ds: 007b   es: 007b   ss: 0068
Process find (pid: 17354, threadinfo=cadef000 task=cad09150)
Stack: c0136b43 ca666774 0013e000 b7d9d000 c034f7b8 b7d9d000 b7edb000
c92a2b80 
       c034f7b8 c0136be7 0013e000 00000000 b7d9d000 c92a2b80 b7edb000
c034f7b8 
       c0136c3e 0013e000 00000000 cadefcb4 b7d9d000 c14a4318 002a9000
c0136d60 
Call Trace:
 [<c0136b43>] zap_pte_range+0x1ca/0x234
 [<c0136be7>] zap_pmd_range+0x3a/0x55
 [<c0136c3e>] unmap_page_range+0x3c/0x57
 [<c0136d60>] unmap_vmas+0x107/0x1ec
 [<c013a1eb>] exit_mmap+0x56/0x109
 [<c0116d6e>] mmput+0x3d/0x51
 [<c014a25f>] exec_mmap+0x9c/0xb6
 [<c014a738>] flush_old_exec+0x4bf/0x64a
 [<c01606cc>] load_elf_binary+0x486/0xad8
 [<c0104d4d>] arch_align_stack+0x40/0x52
 [<c010522c>] mmap_top+0x2e/0x3e
 [<c012fc19>] __alloc_pages+0x2ab/0x2b5
 [<c014aac7>] search_binary_handler+0x6f/0x199
 [<c014ad78>] do_execve+0x187/0x219
 [<c0104911>] sys_execve+0x2a/0x6f
 [<c0288fa7>] syscall_call+0x7/0xb

Code: 0f 0b 96 01 b5 ce 29 c0 48 89 42 08 85 c0 75 2d 8b 02 a9 00 
 <6>note: find[17354] exited with preempt_count 1
Debug: sleeping function called from invalid context at
include/linux/rwsem.h:43
in_atomic():1, irqs_disabled():0
 [<c0116977>] __might_sleep+0x80/0x8a
 [<c0119c8d>] do_exit+0xd6/0x2e3
 [<c010623a>] do_divide_error+0x0/0xaa
 [<c0106425>] do_invalid_op+0x0/0x95
 [<c01064b4>] do_invalid_op+0x8f/0x95
 [<c013b819>] page_remove_rmap+0x18/0x56
 [<c012d177>] do_generic_mapping_read+0x2a1/0x2a9
 [<c02891df>] error_code+0x2f/0x40
 [<c013b819>] page_remove_rmap+0x18/0x56
 [<c0136b43>] zap_pte_range+0x1ca/0x234
 [<c0136be7>] zap_pmd_range+0x3a/0x55
 [<c0136c3e>] unmap_page_range+0x3c/0x57
 [<c0136d60>] unmap_vmas+0x107/0x1ec
 [<c013a1eb>] exit_mmap+0x56/0x109
 [<c0116d6e>] mmput+0x3d/0x51
 [<c014a25f>] exec_mmap+0x9c/0xb6
 [<c014a738>] flush_old_exec+0x4bf/0x64a
 [<c01606cc>] load_elf_binary+0x486/0xad8
 [<c0104d4d>] arch_align_stack+0x40/0x52
 [<c010522c>] mmap_top+0x2e/0x3e
 [<c012fc19>] __alloc_pages+0x2ab/0x2b5
 [<c014aac7>] search_binary_handler+0x6f/0x199
 [<c014ad78>] do_execve+0x187/0x219
 [<c0104911>] sys_execve+0x2a/0x6f
 [<c0288fa7>] syscall_call+0x7/0xb
Comment 1 steve gartrell 2004-07-16 14:35:09 EDT
variation of same:

------------[ cut here ]------------
kernel BUG at mm/rmap.c:406!
invalid operand: 0000 [#1]
Modules linked in: bttv video_buf i2c_algo_bit v4l2_common btcx_risc
i2c_core videodev ipv6 parport_pc lp parport autofs4 sunrpc 8139too
mii ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables floppy
sg scsi_mod microcode dm_mod button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0213a967>]    Not tainted
EFLAGS: 00010246   (2.6.6-1.435.2.3)
EIP is at page_remove_rmap+0x18/0x56
eax: 00000000   ebx: 03464640   ecx: 00000000   edx: 03464640
esi: 00000000   edi: 0002b000   ebp: 00000020   esp: 34048e24
ds: 007b   es: 007b   ss: 0068
Process commandcenter (pid: 3057, threadinfo=34048000 task=3404ad30)
Stack: 02135e77 340d1ecc 00078000 f4f88000 023497b8 f4f88000 f5000000
302c3f50
       023497b8 02135f1a 00078000 00000000 f4f88000 302c3f50 f5388000
023497b8
       02135f71 00400000 00000000 34048ecc f4f88000 329aae40 00400000
0213607d
Call Trace:
 [<02135e77>] zap_pte_range+0x1ce/0x238
 [<02135f1a>] zap_pmd_range+0x39/0x54
 [<02135f71>] unmap_page_range+0x3c/0x57
 [<0213607d>] unmap_vmas+0xf1/0x1ae
 [<021393b7>] exit_mmap+0x57/0xf4
 [<02116c2a>] mmput+0x3d/0x51
 [<02119c52>] do_exit+0x193/0x2e3
 [<02119e3c>] sys_exit_group+0x0/0xd
 [<0211f9fc>] get_signal_to_deliver+0x297/0x2a5
 [<02105f69>] do_signal+0x4e/0xbb
 [<02115749>] activate_task+0x51/0x5c
 [<02281b10>] schedule+0x34c/0x369
 [<02105ffd>] do_notify_resume+0x27/0x36
 
Code: 0f 0b 96 01 30 70 29 02 48 85 c0 89 42 08 75 2d 8b 02 a9 00
 <6>note: commandcenter[3057] exited with preempt_count 1
Debug: sleeping function called from invalid context at
net/core/sock.c:1150
in_atomic():1, irqs_disabled():0
 [<02116834>] __might_sleep+0x80/0x8a
 [<02234c43>] lock_sock+0x12/0x3a
 [<02232a86>] sock_fasync+0x65/0x117
 [<02232a15>] sock_close+0x1e/0x2a
 [<02142c13>] __fput+0x3f/0xd1
 [<02141a68>] filp_close+0x59/0x5f
 [<02119263>] put_files_struct+0x56/0xa9
 [<02119c72>] do_exit+0x1b3/0x2e3
 [<021063fd>] do_divide_error+0x0/0xaa
 [<021065e8>] do_invalid_op+0x0/0x95
 [<02106677>] do_invalid_op+0x8f/0x95
 [<0213a967>] page_remove_rmap+0x18/0x56
 [<42838a71>] do_get_write_access+0x40b/0x427 [jbd]
 [<02143f5c>] __find_get_block+0xa2/0xaa
 [<02107367>] do_IRQ+0x134/0x169
 [<0213a967>] page_remove_rmap+0x18/0x56
 [<02135e77>] zap_pte_range+0x1ce/0x238
 [<02135f1a>] zap_pmd_range+0x39/0x54
 [<02135f71>] unmap_page_range+0x3c/0x57
 [<0213607d>] unmap_vmas+0xf1/0x1ae
 [<021393b7>] exit_mmap+0x57/0xf4
 [<02116c2a>] mmput+0x3d/0x51
 [<02119c52>] do_exit+0x193/0x2e3
 [<02119e3c>] sys_exit_group+0x0/0xd
 [<0211f9fc>] get_signal_to_deliver+0x297/0x2a5
 [<02105f69>] do_signal+0x4e/0xbb
 [<02115749>] activate_task+0x51/0x5c
 [<02281b10>] schedule+0x34c/0x369
 [<02105ffd>] do_notify_resume+0x27/0x36
Comment 2 Dave Jones 2004-11-26 23:49:16 EST
any improvement with the 2.6.9 based kernel update ?
Comment 3 Oliver Paukstadt 2004-11-27 01:11:54 EST
I replaced some of the memory modules in the box and after that it worked
without problems.

For me it is "NOTABUG".

Note You need to log in before you can comment on or make changes to this bug.